# These are variables defined for all makefiles of BLUE project
# Include it in your makefiles if you want to compile separatly
# These variables are normally herited from top Makefile 

quiet-0:=quiet_
quiet-1:=
quiet-2:=
Q-0:=@
Q-1:=
Q-2:=
print-directory-0:=--no-print-directory
print-directory-1:=--no-print-directory
print-directory-2:=

ifdef V
  ifeq ("$(origin V)", "command line")
    BUILD_VERBOSE = $(V)
  endif
endif

ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

quiet      = $(quiet-$(BUILD_VERBOSE))
Q          = $(Q-$(BUILD_VERBOSE))
MAKEFLAGS += $(print-directory-$(BUILD_VERBOSE))


echo-cmd  = $(if $($(quiet)cmd_$(1)),echo '  $(subst ','\'',$($(quiet)cmd_$(1)))')
     cmd  = @$(echo-cmd) && $(cmd_$(1))


export CFLAGS =

# Configuration stuff

export TOPDIR
export COMPILING_WHOLE_TREE
export CONFFILE := $(TOPDIR)/Config-Wanadoo-sip-fr
include $(CONFFILE)

# We must have a default config if .config does not exist
LINUXDIR-y                   = $(TOPDIR)/linux-2.6              ##SDK: CONFIG_SDK_LINUX_2_6
LINUXDIR-$(CONFIG_LINUX_2_6) = $(TOPDIR)/linux-2.6              ##SDK: CONFIG_SDK_LINUX_2_6
export LINUXDIR := $(strip $(LINUXDIR-y))

KERNEL_VERSION-$(CONFIG_LINUX_2_6) = 2.6.12.6			##SDK: CONFIG_SDK_LINUX_2_6
export KERNEL_VERSION := $(strip $(KERNEL_VERSION-y))


# ATTENTION probleme probable
#export LINUXCONFFILE := $(LINUXDIR)/.config
#include $(LINUXCONFFILE)

$(CONFFILE):
	touch $@
# $(LINUXCONFFILE):
#	touch $@


# Cross compilation stuff

export ASNPARSER=${TOPDIR}/build_utils/asnparser
export FAKEROOT=${TOPDIR}/build_utils/fakeroot/install/bin/fakeroot
export DEPMODFILE=${TOPDIR}/build_utils/depmod

		cross-compile-$(CONFIG_LINUX_2_6) = $(TOPDIR)/../gcc-3.4.2/bin/mips-linux-uclibc-		##SDK: EXCLUDE
	
	CROSS_COMPILE = $(strip $(cross-compile-y))

	CROSS_COMPILE := $(strip $(CROSS_COMPILE))

	target-$(CONFIG_LINUX_2_6) = $(patsubst %-,%,$(CROSS_COMPILE))						##SDK: CONFIG_SDK_LINUX_2_6
	TARGET = $(strip $(target-y))

export AS		= $(CROSS_COMPILE)as
export LD		= $(CROSS_COMPILE)ld
export CC		= $(CCACHE) $(CROSS_COMPILE)gcc
export CXX		= $(CCACHE) $(CROSS_COMPILE)g++
export AR		= $(CROSS_COMPILE)ar
export NM		= $(CROSS_COMPILE)nm
export STRIP		= $(CROSS_COMPILE)strip
export OBJCOPY		= $(CROSS_COMPILE)objcopy
export OBJDUMP		= $(CROSS_COMPILE)objdump
export RANLIB		= $(CROSS_COMPILE)ranlib
export CROSS_COMPILE

	cross-compile-glibc-$(CONFIG_LINUX_2_6) = $(TOPDIR)/../gcc-3.4.2/bin/mips-linux-uclibc-		##SDK: EXCLUDE

CROSS_COMPILE_GLIBC = $(strip $(cross-compile-glibc-y))

CROSS_COMPILE_GLIBC := $(strip $(CROSS_COMPILE))

export AR_GLIBC  = $(CROSS_COMPILE_GLIBC)ar
export CC_GLIBC  = $(CCACHE) $(CROSS_COMPILE_GLIBC)gcc
export CXX_GLIBC = $(CCACHE) $(CROSS_COMPILE_GLIBC)g++


# Type of build. These variables are prefixed by IS_ because they are used in many other Makefiles

export IS_PRODUCT-$(CONFIG_DBW) = DBW
export IS_PRODUCT=$(IS_PRODUCT-y)

export IS_VERSION-$(CONFIG_DEV)= DEV
export IS_VERSION-$(CONFIG_RELEASE) = RELEASE
export IS_VERSION=$(IS_VERSION-y)

export IS_GENERATION-$(CONFIG_GENERATION_5G)= 5G
export IS_GENERATION=$(strip $(IS_GENERATION-y))
	export BRCM_CHIP=6348


# Directories
# Next 2 lines for SDK users, 2 followings for us. 			##SDK: EXCLUDE	
	export RELEASE_DIR-$(CONFIG_RELEASE) = ~/work/$(IS_GENERATION)/release	##SDK: EXCLUDE	
	export RELEASE_DIR-$(CONFIG_DEV) = ~/work/$(IS_GENERATION)/dev		##SDK: EXCLUDE
export RELEASE_DIR=$(shell mkdir -p $(RELEASE_DIR-y) > /dev/null 2> /dev/null && cd $(RELEASE_DIR-y) > /dev/null 2> /dev/null && pwd | cut -d " " -f 1)
                                                                                                                                                                                                              

export ROOT_FS_DIR := $(RELEASE_DIR)/root_fs
export ROOT_LINUX_DIR := $(RELEASE_DIR)/root_linux

export LIBS_DIR := $(TOPDIR)/libs
export MOD_DIR := $(ROOT_FS_DIR)/lib/modules
export KERNEL_DIR := $(LINUXDIR)
export KDIR := $(KERNEL_DIR)
export LINUXINCLUDEDIR := $(LINUXDIR)/include
export INSTALL := /usr/bin/install -c
export VPATH := $(TOPDIR)/libs

